Create Spec

Create Spec

Create Telco Cloud Definition (TCD)

Request
URI
POST
https://{api_host}/hybridity/api//ztp/scheme1/config
COPY
Request Body
cloudSpec of type(s) application/json
Required
{
    "domains": [
        {
            "name": "string",
            "type": "string",
            "subType": "string",
            "enabled": false,
            "preDeployed": {
                "preDeployed": false,
                "defaultResources": {
                    "datacenter": "string",
                    "cluster": "string",
                    "datastore": "string"
                }
            },
            "minimumHosts": 0,
            "parent": "string",
            "location": {
                "city": "string",
                "country": "string",
                "address": "string",
                "longitude": "number",
                "latitude": "number"
            },
            "licenses": {
                "vc": [
                    "string"
                ],
                "nsx": [
                    "string"
                ],
                "esxi": [
                    "string"
                ],
                "vsan": [
                    "string"
                ],
                "tca": [
                    "string"
                ],
                "tca_cp": [
                    "string"
                ],
                "vrli": [
                    "string"
                ]
            },
            "switches": [
                {
                    "name": "string",
                    "uplinks": [
                        {
                            "pnic": "string"
                        }
                    ]
                }
            ],
            "services": [
                {
                    "name": "string",
                    "type": "string",
                    "enabled": false,
                    "nsxConfig": {
                        "shareTransportZonesWithParent": false
                    }
                }
            ],
            "networks": [
                {
                    "type": "string",
                    "name": "string",
                    "segmentType": "string",
                    "switch": "string",
                    "vlan": 0,
                    "mtu": 0,
                    "gateway": "string",
                    "prefixLength": 0,
                    "ipAddresses": [
                        "string"
                    ],
                    "ipPool": [
                        {
                            "start": "string",
                            "end": "string"
                        }
                    ],
                    "dhcpConfig": {
                        "ranges": [
                            {
                                "start": "string",
                                "end": "string"
                            }
                        ],
                        "serverAddress": "string"
                    },
                    "_comments": [
                        "string"
                    ]
                }
            ],
            "applianceOverrides": [
                {
                    "name": "string",
                    "size": "string",
                    "enabled": false,
                    "id": "string",
                    "nameOverride": "string",
                    "tier0Mode": "string",
                    "parent": "string",
                    "type": "string",
                    "rootPassword": "string",
                    "adminPassword": "string",
                    "auditPassword": "string",
                    "ipIndex": 0,
                    "ipIndexPool": [
                        {
                            "start": 0,
                            "end": 0
                        }
                    ],
                    "nodeCount": 0,
                    "shares": [
                        {
                            "name": "string",
                            "quotaInMb": 0
                        }
                    ],
                    "_comments": [
                        "string"
                    ]
                }
            ],
            "cellsiteGroups": [
                {
                    "name": "string",
                    "switches": [
                        {
                            "name": "string",
                            "uplinks": [
                                {
                                    "pnic": "string"
                                }
                            ]
                        }
                    ],
                    "networks": [
                        {
                            "type": "string",
                            "name": "string",
                            "segmentType": "string",
                            "switch": "string",
                            "vlan": 0,
                            "mtu": 0,
                            "gateway": "string",
                            "prefixLength": 0,
                            "ipAddresses": [
                                "string"
                            ],
                            "ipPool": [
                                {
                                    "start": "string",
                                    "end": "string"
                                }
                            ],
                            "dhcpConfig": {
                                "ranges": [
                                    {
                                        "start": "string",
                                        "end": "string"
                                    }
                                ],
                                "serverAddress": "string"
                            },
                            "_comments": [
                                "string"
                            ]
                        }
                    ]
                }
            ],
            "settings": {
                "dnsSuffix": "string",
                "ntpServers": [
                    "string"
                ],
                "dnsServers": [
                    "string"
                ],
                "applianceNamingScheme": "string",
                "appliancesSharedWithManagementDomain": [
                    {
                        "type": "string",
                        "enabled": false
                    }
                ],
                "proxy": {
                    "server": "string",
                    "protocol": "string",
                    "port": 0,
                    "username": "string",
                    "password": "string",
                    "enabled": false,
                    "exclusions": [
                        "string"
                    ]
                },
                "_comments": [
                    "string"
                ]
            }
        }
    ],
    "settings": {
        "saas": "string",
        "dnsSuffix": "string",
        "ntpServers": [
            "string"
        ],
        "dnsServers": [
            "string"
        ],
        "applianceNamingScheme": "string",
        "proxy": {
            "server": "string",
            "protocol": "string",
            "port": 0,
            "username": "string",
            "password": "string",
            "enabled": false,
            "exclusions": [
                "string"
            ]
        },
        "appliancesSharedWithManagementDomain": [
            {
                "type": "string",
                "enabled": false
            }
        ],
        "_comments": [
            "string"
        ]
    },
    "appliances": [
        {
            "type": "string",
            "id": "string",
            "name": "string",
            "ipIndex": 0,
            "parent": "string",
            "rootPassword": "string",
            "adminPassword": "string",
            "auditPassword": "string",
            "size": "string",
            "tier0Mode": "string",
            "ipIndexPool": [
                {
                    "start": 0,
                    "end": 0
                }
            ],
            "nodeCount": 0,
            "enabled": false,
            "shares": [
                {
                    "name": "string",
                    "quotaInMb": 0
                }
            ],
            "_comments": [
                "string"
            ]
        }
    ],
    "images": {
        "cloudbuilder": "string",
        "vro": "string",
        "tca": "string",
        "haproxy": [
            "string"
        ],
        "kube": [
            "string"
        ],
        "vsphere_plugin": "string",
        "vrli": "string"
    },
    "_comments": [
        "string"
    ]
}
array of domain
domains
Optional

domains

settings
Optional

settings

array of appliance
appliances
Optional

appliances

images
Optional

images

array of string
_comments
Optional

_comments

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully submitted Telco Cloud Definition (TCD).

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


400

Bad Request

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns response of type(s) application/json
{
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of warning
warnings
Optional

warnings

array of error
errors
Optional

errors